import { request } from "@/utils/request";

/**
 * 会议室管理接口集合
 * @method GetMeetingRoomList 会议室下拉列表
 * @method GetMeetingRoomReservationList 会议预约详情列表
 * @method Attendee 会议人员权限审核
 */
export function meetingApi() {
    return {
        GetMeetingRoomList(data) {
            return request({
                url: '/service-meeting/meetingRoom/MeetingRoomList',
                method: 'GET',
                params: data
            })
        },
        GetMeetingRoomReservationList(data) {
            return request({
                url: '/service-meeting/meetingRoom/getMeetingRoomReservationList',
                method: 'POST',
                data: data
            })
        },
        Attendee(data) {
            return request({
                url: '/service-meeting/meetingRoom/attendee',
                method: 'GET',
                params: data
            })
        }
    }
}

/**
 * 人脸校验接口集合
 * @method faceVef 人脸验证
 */
export function faceApi() {
    return {
        faceVef: (data) => {
            return request({
                url: '/service-meeting/meetingFace/vef',
                method: 'POST',
                data,
            });
        },
    };
}

//人员签到-人员签退
export function signOnOut(data) {
    return request({
        url: '/service-meeting/meetingInfo/signOnOut',
        method: 'POST',
        data
    })
}